Contents

# CONCAT

Concatenates one or more strings

CONCAT is an enhancement of CONCATENATE, as CONCAT also accepts ranges as arguments, like B2:E5, K:K or K:M.

When ranges are used, the cells are traversed row by row (from top to bottom) to concatenate.

### Syntax

CONCAT( String 1 [; String 2 [; … [; String 255]]] )

String 1; String 2; … ; String 255 are strings, references to cells or to cell ranges of strings.

### Examples

=CONCAT("Hello ", A1:C3) concatenates the string "Hello" with all strings in range A1:C3.

#### Technical information

This function is available since LibreOfficeDev 5.2.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.CONCAT

Related Topics

CONCAT wiki page.

TEXTJOIN

CONCATENATE

Text Functions